cmake_minimum_required(VERSION 2.6)

PROJECT(RITKSourcePlugins_OpenSource)

macro(ADD_PLUGIN folder name default system)
	set(tmp RITK_PLUGIN_${name})
	option( ${tmp} "Plugin" ${default} )
	mark_as_advanced( ${tmp} )

	# add subdirectory
	IF( ${tmp} )
		add_subdirectory(${folder})
	ENDIF( ${tmp} )
endmacro(ADD_PLUGIN)

ADD_PLUGIN(RISimulator		RISimulator		ON		CROSS)
ADD_PLUGIN(PMDCamCube		PMDCamCube		ON		CROSS)
ADD_PLUGIN(KinectNITE		KinectNITE		ON		CROSS)
ADD_PLUGIN(KinectOpenNI		KinectOpenNI	ON		CROSS)
ADD_PLUGIN(KinectSDK		KinectSDK		ON		CROSS)
